package com.izouma.awesomeadmin.model;

import java.math.BigDecimal;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MarketMapBox{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String remark;
    private Integer marketId;
    private String boxName;
    private Integer typeId;
    private String typeName;
    private Integer posX;
    private Integer posY;
    private Integer posZ;
    private BigDecimal scale;
    private Integer angle;
    private BigDecimal showLenth;
    private String parentImageName;
    private BigDecimal androidPosX;
    private BigDecimal androidPosY;
    private BigDecimal androidPosZ;
    private BigDecimal androidScale;
    private Integer androidAngle;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }
    public Integer getMarketId(){
        return this.marketId;
    }

    public void setMarketId(Integer marketId){
        this.marketId = marketId;
    }
    public String getBoxName(){
        return this.boxName;
    }

    public void setBoxName(String boxName){
        this.boxName = boxName;
    }
    public Integer getTypeId(){
        return this.typeId;
    }

    public void setTypeId(Integer typeId){
        this.typeId = typeId;
    }
    public String getTypeName(){
        return this.typeName;
    }

    public void setTypeName(String typeName){
        this.typeName = typeName;
    }
    public Integer getPosX(){
        return this.posX;
    }

    public void setPosX(Integer posX){
        this.posX = posX;
    }
    public Integer getPosY(){
        return this.posY;
    }

    public void setPosY(Integer posY){
        this.posY = posY;
    }
    public Integer getPosZ(){
        return this.posZ;
    }

    public void setPosZ(Integer posZ){
        this.posZ = posZ;
    }
    public BigDecimal getScale(){
        return this.scale;
    }

    public void setScale(BigDecimal scale){
        this.scale = scale;
    }
    public Integer getAngle(){
        return this.angle;
    }

    public void setAngle(Integer angle){
        this.angle = angle;
    }
    public BigDecimal getShowLenth(){
        return this.showLenth;
    }

    public void setShowLenth(BigDecimal showLenth){
        this.showLenth = showLenth;
    }
    public String getParentImageName(){
        return this.parentImageName;
    }

    public void setParentImageName(String parentImageName){
        this.parentImageName = parentImageName;
    }
    public BigDecimal getAndroidPosX(){
        return this.androidPosX;
    }

    public void setAndroidPosX(BigDecimal androidPosX){
        this.androidPosX = androidPosX;
    }
    public BigDecimal getAndroidPosY(){
        return this.androidPosY;
    }

    public void setAndroidPosY(BigDecimal androidPosY){
        this.androidPosY = androidPosY;
    }
    public BigDecimal getAndroidPosZ(){
        return this.androidPosZ;
    }

    public void setAndroidPosZ(BigDecimal androidPosZ){
        this.androidPosZ = androidPosZ;
    }
    public BigDecimal getAndroidScale(){
        return this.androidScale;
    }

    public void setAndroidScale(BigDecimal androidScale){
        this.androidScale = androidScale;
    }
    public Integer getAndroidAngle(){
        return this.androidAngle;
    }

    public void setAndroidAngle(Integer androidAngle){
        this.androidAngle = androidAngle;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

